# ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER > Class Template Reference

Defines a default strategy to be followed for cleaning up entries from a map which is the container. More...

`#include <Cleanup_Strategies_T.h>`

Inheritance diagram for ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER >:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACE_Cleanup_Strategy (void)
| Destructor.
virtual int | cleanup (CONTAINER &container, KEY *key, VALUE *value)
| The method which will do the cleanup of the entry in the container.

## Detailed Description

### template<class KEY, class VALUE, class CONTAINER>
class ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER >

Defines a default strategy to be followed for cleaning up entries from a map which is the container.

By default the entry to be cleaned up is removed from the container.

## Constructor & Destructor Documentation

template<class KEY, class VALUE, class CONTAINER>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER >::~ACE_Cleanup_Strategy | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class KEY, class VALUE, class CONTAINER>
int ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER >::cleanup | ( | CONTAINER & | container,
|  | KEY * | key,
|  | VALUE * | value
| ) | `[virtual]`

| The method which will do the cleanup of the entry in the container. Reimplemented in ACE_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >, ACE_Refcounted_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >, ACE_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >, and ACE_Null_Cleanup_Strategy< KEY, VALUE, CONTAINER >.

The documentation for this class was generated from the following files:

- Cleanup_Strategies_T.h
- Cleanup_Strategies_T.cpp